﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Text;

namespace SfDataGridResourceMapIssue
{
    class ViewModel : INotifyPropertyChanged
    {
        ObservableCollection<Model> itemsSource;
        public ObservableCollection<Model> ItemsSource
        {
            get { return itemsSource; }
            set { itemsSource = value; RaisePropertyChanged("OrderInfoCollection"); }
        }

        ObservableCollection<ValidNames> _Names;
        public ObservableCollection<ValidNames> NameColection
        {
            get { return _Names; }
            set { _Names = value; RaisePropertyChanged("NameColection"); }
        }
        public ViewModel()
        {                     
            itemsSource = this.GenerateOrders();     
       _Names = this.GenerateNames();
        }
        
        
        private ObservableCollection<Model> GenerateOrders()
        {
            ObservableCollection<Model> orders = new ObservableCollection<Model>();

            orders.Add(new Model(1001, "Maria Anders", "Germany", "ALFKI", "Berlin"));
            orders.Add(new Model(1004, "Thomas Hardy", "UK", "AROUT", "London"));
            orders.Add(new Model(1005, "Christina Berglund", "Sweden", "BERGS", "Luleå"));
            orders.Add(new Model(1006, "Hanna Moos", "Germany", "BLAUS", "Mannheim"));
            orders.Add(new Model(1007, "Frédérique Citeaux", "France", "BLONP", "Strasbourg"));

            //orders.Add(new OrderInfo(1001, "Maria Anders", "Germany", "ALFKI", "Berlin"));
            //orders.Add(new OrderInfo(1004, "Thomas Hardy", "UK", "AROUT", "London"));
            //orders.Add(new OrderInfo(1005, "Christina Berglund", "Sweden", "BERGS", "Luleå"));
            //orders.Add(new OrderInfo(1006, "Hanna Moos", "Germany", "BLAUS", "Mannheim"));
            //orders.Add(new OrderInfo(1007, "Frédérique Citeaux", "France", "BLONP", "Strasbourg"));

            //orders.Add(new OrderInfo(1001, "Maria Anders", "Germany", "ALFKI", "Berlin"));
            //orders.Add(new OrderInfo(1004, "Thomas Hardy", "UK", "AROUT", "London"));
            //orders.Add(new OrderInfo(1005, "Christina Berglund", "Sweden", "BERGS", "Luleå"));
            //orders.Add(new OrderInfo(1006, "Hanna Moos", "Germany", "BLAUS", "Mannheim"));
            //orders.Add(new OrderInfo(1007, "Frédérique Citeaux", "France", "BLONP", "Strasbourg"));

            //orders.Add(new OrderInfo(1001, "Maria Anders", "Germany", "ALFKI", "Berlin"));
            //orders.Add(new OrderInfo(1004, "Thomas Hardy", "UK", "AROUT", "London"));
            //orders.Add(new OrderInfo(1005, "Christina Berglund", "Sweden", "BERGS", "Luleå"));
            //orders.Add(new OrderInfo(1006, "Hanna Moos", "Germany", "BLAUS", "Mannheim"));
            //orders.Add(new OrderInfo(1007, "Frédérique Citeaux", "France", "BLONP", "Strasbourg"));
            return orders;

        }
           private ObservableCollection<ValidNames> GenerateNames()
           {
                  ObservableCollection<ValidNames> names = new ObservableCollection<ValidNames>();
                   names.Add(new ValidNames("1","Maria Anders"));
                     names.Add(new ValidNames("2", "Thomas Hardy"));
                     names.Add(new ValidNames("3", "Christina Berglund"));
                     names.Add(new ValidNames("4", "Hanna Moos"));
                     names.Add(new ValidNames("5", "Frédérique Citeaux"));
                return names;
           }
        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void RaisePropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }

    public class ValidNames : INotifyPropertyChanged
    {
        string _IdName;
        string _Name;
       public string IdName
       {
           get { return _IdName; }
           set { _IdName = value; RaisePropertyChanged("IdName"); }
       }

       public string Name
       {
           get { return _Name; }
           set { _Name = value; RaisePropertyChanged("Name"); }
       }
            public ValidNames( string idname, string name)
        {
            this.IdName = idname;
            this.Name = name;
        }
        public ValidNames()
        {
        }
    
    public event PropertyChangedEventHandler PropertyChanged;
    protected virtual void RaisePropertyChanged([CallerMemberName] string propertyName = null)
    {
        PropertyChangedEventHandler handler = PropertyChanged;
        if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
    }
}
}
